TreeWidgetFolderItem Class Reference

Folders list item class. More...

`#include <CurvesDialog.h>`

Inheritance diagram for TreeWidgetFolderItem:

## Public Member Functions

Folder * | folder ()
| TreeWidgetFolderItem (QTreeWidget *parent, Folder *f)
| TreeWidgetFolderItem (QTreeWidgetItem *parent, Folder *f)

## Protected Attributes

Folder * | myFolder

## Detailed Description

Folders list item class.

## Constructor & Destructor Documentation

## TreeWidgetFolderItem() [1/2]

TreeWidgetFolderItem::TreeWidgetFolderItem | ( | QTreeWidget * | parent,
|  | Folder * | f
| ) |  |

References myFolder.

## TreeWidgetFolderItem() [2/2]

TreeWidgetFolderItem::TreeWidgetFolderItem | ( | QTreeWidgetItem * | parent,
|  | Folder * | f
| ) |  |

References myFolder.

## Member Function Documentation

## folder()

Folder* TreeWidgetFolderItem::folder | ( |  | ) |

inline

Referenced by CurvesDialog::showCurrentFolder().

## Member Data Documentation

## myFolder

Folder* TreeWidgetFolderItem::myFolder

protected

Referenced by TreeWidgetFolderItem().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/CurvesDialog.h
- qtiplot/src/plot2D/dialogs/CurvesDialog.cpp